use uuid::Uuid;

/// 生成一个新的 UUID。
///
/// 该函数使用 `Uuid` 库生成一个新的版本 4 UUID，并将其转换为字符串格式返回。
///
/// # 返回值
/// 返回一个包含生成的 UUID 的字符串。
///
/// # 示例
/// ```rust
/// let new_uuid = uuid();
/// println!("Generated UUID: {}", new_uuid);
/// ```
pub fn uuid() -> String {
    // 生成一个新的版本 4 UUID
    let uuid = Uuid::new_v4();
    // 将 UUID 转换为字符串并返回
    uuid.to_string()
}
